/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: VISIBILITY.h,v 1.4 2002/11/07 12:50:54 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/*----------------------------------------------------------------------- */
/* Definition of VISIBILITY table                                           */
/* This file was generated by mididefs.pl from  ../doc/mididoc.tex        */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="VISIBILITY";
 
/* Define the keywords to be used */
int nkey = 14;       /* number of keywords */
char* keywords[] = { /* Table keywords */
         "REVISION",
         "DATE-OBS",
         "1NAXIS8",
         "2NAXIS8",
         "1CTYP8",
         "2CTYP8",
         "1CRVL8",
         "2CRVL8",
         "1CRPX8",
         "2CRPX8",
         "1CD18",
         "1CD28",
         "2CD18",
         "2CD28"
};
int keytype[] = {   /* data types of the keywords */
         TINT,
         TSTRING,
         TINT,
         TINT,
         TSTRING,
         TSTRING,
         TDOUBLE,
         TDOUBLE,
         TFLOAT,
         TFLOAT,
         TFLOAT,
         TFLOAT,
         TFLOAT,
         TFLOAT
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition",
         "Start date of observations 'yyyy-mm-dd(Thh:mm:ss)'",
         "The extent of the first dimension in the array in the DATA1 colum",
         "The extent of the second dimension in the array in the DATA1 colum",
         "WCS type axis label for first dimension of array in column",
         "WCS type axis label for second dimension of array in column j",
         "Reference value at reference pixel of first dimension of array i",
         "Reference value at reference pixel of second dimension of array i",
         "Reference pixel of first dimension of array in column j",
         "Reference pixel of second dimension of array in column j",
         "Element CD_1_1 of CD matrix of array in column j",
         "Element CD_1_2 of CD matrix of array in column j",
         "Element CD_2_1 of CD matrix of array in column j",
         "Element CD_2_2 of CD matrix of array in column j"
};
/* Define the  columns in the table */
int ncol = 9;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "TIME",
         "EXP_TIME",
         "SOURCE",
         "TELESCOPE",
         "UVW",
         "OFFSET",
         "ROTATION",
         "DATA1",
         "WEIGHT1"
};
int coldatatype[] = {   /* data types of the keywords */
         TDOUBLE,
         TFLOAT,
         TSHORT,
         TSHORT,
         TDOUBLE,
         TFLOAT,
         TFLOAT,
         TCOMPLEX,
         TFLOAT
};
char* colunits[] = {   /*  Units for columns */
         "DAY",
         "SECOND",
         "",
         "",
         "",
         "DEGREE",
         "DEGREE",
         "",
         ""
};
long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         1,
         1,
         1,
         2,
         3,
         2,
         1,
         1,
         1
};
char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " "
};
/* */
